Subject: Re: [PATCH 24/34] PCI: use weak functions for MSI arch-specific functions

From: Ralf Baechle <[email-masked]>
Date: Thu, 21 Nov 2013 18:39:33 +0100

On Wed, Nov 20, 2013 at 10:50:43AM +0800, Richard Zhu wrote:

Looking good,

Acked-by: Ralf Baechle <[email-masked]>

Nevertheless I'd again like to express that I'm not that fond of of the
increasing number of weak functions in the kernel.  In the old days
things were such that when an a platform didn't provice a platform hook
or enable a default hook function, one would get a build error - an
unmistakable sign to the maintainer that something needs attention.
Weak functions mean default functions may result in subtly incorrect
operation.  Been there, got bitten.

  Ralf